/*
 *  OpenVPN-GUI -- A Windows GUI for OpenVPN.
 *
 *  Copyright (C) 2004 Mathias Sundman <mathias@nilings.se>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program (see the file COPYING included with this
 *  distribution); if not, write to the Free Software Foundation, Inc.,
 *  59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/* Ask for Passphrase Dialog */
#define	IDD_PASSPHRASE			150
#define	EDIT_PASSPHRASE			151

/* Connecting Dialog */
#define	IDD_STATUS			160
#define	TEXT_STATUS			161
#define	EDIT_LOG			162

/* A hidden textbox used to pass the config nr so dialog knows 
 * which connection to cancel. If anyone knows of another way 
 * to pass a variable to dialog, please let me know. 
 */
#define TEXT_CONFIG			163 

struct process_info {
  HANDLE hProcess;
  int config;
};

int GetRegistryKeys();
int SetRegistryKeys();
int GetRegKey(char name[], char data[], char default_data[], DWORD len);
int BuildFileList(HANDLE hwnd);
int StartOpenVPN(int config);
void StopOpenVPN(int config);
void StopAllOpenVPN();
void WatchOpenVPNProcess(int config);
int ReadLineFromStdOut(HANDLE hStdOut, int config, char line[1024]);
BOOL CALLBACK PassphraseDialogFunc (HWND hwndDlg, UINT msg, WPARAM wParam, LPARAM lParam);
BOOL CALLBACK StatusDialogFunc (HWND hwndDlg, UINT msg, WPARAM wParam, LPARAM lParam);
int AutoStartConnections();
int CheckVersion();
int CountConnectedState(int CheckVal);
void CheckAndSetTrayIcon();
void SetStatusWinIcon(HWND hwndDlg, int IconID);
